<?php

declare(strict_types=1);

namespace FiloBlu\AdyenPaymentLinkGenerator\Model;

use Magento\Catalog\Model\Product;

/**
 *
 */
class Config extends \Magento\Catalog\Model\Config
{


    /**
     * Retrieve Attributes used in product listing
     *
     * @return array
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getAttributesUsedInProductListing()
    {
        $attributes = parent::getAttributesUsedInProductListing();

        if (\array_key_exists('quantity_and_stock_status', $attributes)) {
            return $attributes;
        }

        $attributes['quantity_and_stock_status'] = $this->_eavConfig->getAttribute(
            Product::ENTITY,
            'quantity_and_stock_status'
        );
        return $attributes;
    }
}
